Subject: Re: bug#60146: file-exists-in-trash-p needs better name or semantics

From: Michael Albinus <[email-masked]>
Date: Sat, 17 Dec 2022 11:01:35 +0100

Paul Eggert <[email-masked]> writes:

Hi Paul,

> How about extending file-exists-p instead? (file-exists-p FILE t)
> would be like (file-exists-p FILE) except it would not follow
> symlinks. This extension can be implemented via a single system call
> on POSIX systems, and this would be more efficient and would avoid a
> race in the current implementation of file-exists-in-trash-p. (Though
> of course pretty much any use of this new function makes one
> vulnerable to races....)

Pls don't do it in the emacs-29 branch. file-exists-p checks for file
name handlers, with all consequences for a changed signature.

Best regards, Michael.